AbstractReplicatedMap.MapEntry (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapEntry class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.tipis
Class AbstractReplicatedMap.MapEntry

    java.lang.Object
      org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapEntry

All Implemented Interfaces:
  java.util.Map.Entry

Enclosing class:
  AbstractReplicatedMap

    public static class AbstractReplicatedMap.MapEntry

extends java.lang.Object
implements java.util.Map.Entry

Constructor Summary
`AbstractReplicatedMap.MapEntry(java.lang.Object key, java.lang.Object value)`

Method Summary
`void` | `apply(byte[] data, int offset, int length, boolean diff)` apply a diff, or an entire object
`boolean` | `equals(java.lang.Object o)`
`Member[]` | `getBackupNodes()`
`java.lang.Object` | `getKey()`
`Member` | `getPrimary()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`boolean` | `isBackup()`
`boolean` | `isDiffable()`
`boolean` | `isKeySerializable()`
`boolean` | `isPrimary()`
`boolean` | `isProxy()`
`boolean` | `isSerializable()`
`boolean` | `isValueSerializable()`
`void` | `setBackup(boolean backup)`
`void` | `setBackupNodes(Member[] nodes)`
`java.lang.Object` | `setKey(java.lang.Object key)`
`void` | `setPrimary(Member m)`
`void` | `setProxy(boolean proxy)`
`java.lang.Object` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractReplicatedMap.MapEntry

    public AbstractReplicatedMap.MapEntry(java.lang.Object key,
                                          java.lang.Object value)

Method Detail

### isKeySerializable

    public boolean isKeySerializable()

### isValueSerializable

    public boolean isValueSerializable()

### isSerializable

    public boolean isSerializable()

### isBackup

    public boolean isBackup()

### setBackup

    public void setBackup(boolean backup)

### isProxy

    public boolean isProxy()

### isPrimary

    public boolean isPrimary()

### setProxy

    public void setProxy(boolean proxy)

### isDiffable

    public boolean isDiffable()

### setBackupNodes

    public void setBackupNodes(Member[] nodes)

### getBackupNodes

    public Member[] getBackupNodes()

### setPrimary

    public void setPrimary(Member m)

### getPrimary

    public Member getPrimary()

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry`

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry`

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry`

### setKey

    public java.lang.Object setKey(java.lang.Object key)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry`
  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map.Entry`
  Overrides:
    `equals` in class `java.lang.Object`

### apply

    public void apply(byte[] data,
                      int offset,
                      int length,
                      boolean diff)
               throws java.io.IOException,
                      java.lang.ClassNotFoundException

  apply a diff, or an entire object

  Parameters:
    `data` - byte[]
    `offset` - int
    `length` - int
    `diff` - boolean
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.